package com.taais.biz.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.util.Date;

/**
 * @Datetime : 2023/12/5 12:13
 * @Author : WANGKANG
 * @Email : 1686617586@qq.com
 * @File : AlgorithmSubTaskTrackVo.java
 * @Brief :
 * Copyright 2023 WANGKANG, All Rights Reserved.
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
public class AlgorithmSubTaskTrackVo {
    /**
     * ID
     */
    private Long id;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 状态
     * 0：未开始
     * 1：进行中
     * 2：完成
     * 3：失败
     * 4：中断
     */
    private String status;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 耗时
     */
    private Long costSecond;

    /**
     * 日志
     */
    private String log;

    /**
     * 备注
     */
    private String remarks;

    /**
     * $column.columnComment
     */
    private Integer delFlag;

    /**
     * $column.columnComment
     */
    private String url;

    /**
     * $column.columnComment
     */
    private Long inputOssId;

    /**
     * 输入路径
     */
    private String inputPath;

    /**
     * 输出路径
     */
    private String outputPath;
    private String zipFilePath;

    private Long algorithmModelId;

    private String algorithmParameters;
    private Long algorithmId;
    private String logPath;

    private Long parentTaskId;

    private String type;
    private String subsystem;
    private String algorithmName;
    private String modelName;
}
